Groovy 1.7.0

## org.codehaus.groovy.reflection
Class ReflectionCache

    java.lang.Object
      org.codehaus.groovy.reflection.ReflectionCache

    class ReflectionCache
    extends Object

Field Summary
`static CachedClass` | `OBJECT_ARRAY_CLASS`
`static CachedClass` | `OBJECT_CLASS`
`static CachedClass` | `STRING_CLASS`
`static TripleKeyHashMap` | `mopNames`

Constructor Summary
`ReflectionCache()`

Method Summary
`static boolean` | `arrayContentsEq(Object[] a1, Object[] a2)`
`static Class` | `autoboxType(Class type)`
`static CachedClass` | `getCachedClass(Class klazz)`
`static String` | `getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)`
`static boolean` | `isArray(Class klazz)`
`static boolean` | `isAssignableFrom(Class klazz, Class aClass)`
`static void` | `setAssignableFrom(Class klazz, Class aClass)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Field Detail

### OBJECT_ARRAY_CLASS

    static final CachedClass OBJECT_ARRAY_CLASS

### OBJECT_CLASS

    static final CachedClass OBJECT_CLASS

### STRING_CLASS

    static final CachedClass STRING_CLASS

### mopNames

    static TripleKeyHashMap mopNames

Constructor Detail

### ReflectionCache

    ReflectionCache()

Method Detail

### arrayContentsEq

    public static boolean arrayContentsEq(Object[] a1, Object[] a2)

### autoboxType

    public static Class autoboxType(Class type)

### getCachedClass

    public static CachedClass getCachedClass(Class klazz)

### getMOPMethodName

    public static String getMOPMethodName(CachedClass declaringClass, String name, boolean useThis)

### isArray

    public static boolean isArray(Class klazz)

### isAssignableFrom

    public static boolean isAssignableFrom(Class klazz, Class aClass)

### setAssignableFrom

    public static void setAssignableFrom(Class klazz, Class aClass)

Copyright © 2003-2009 The Codehaus. All rights reserved.